Bug 146355 - enscript fails with html or non-PostScript language output
enscript fails with html or non-PostScript language output
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: enscript (Show other bugs)
3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-27 08:14 EST by Need Real Name
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-28 18:11:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2005-01-27 08:14:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020

Description of problem:
Take any text file, and ask enscript to make, say, html output.
For example:

[jarioksa@biol102145 R]$ cat test.txt
text
[jarioksa@biol102145 R]$ enscript -W html test.txt -o test.html
sh: -c: line 0: unexpected EOF while looking for matching `''
sh: -c: line 1: syntax error: unexpected end of file
Segmentation fault

This seems to happen with all languages except PostScript (rtf,
overstrike). It's just the same with long option (--language).

This started with the security upgrade 1.6.1-28.0.2

Version-Release number of selected component (if applicable):
enscript-1.6.1-28.0.2

How reproducible:
Always

Steps to Reproduce:
1. call enscript with -W html
2. segfault
3.
    

Actual Results:  errror message and segfault:
sh: -c: line 0: unexpected EOF while looking for matching `''
sh: -c: line 1: syntax error: unexpected end of file
Segmentation fault

Expected Results:  a html file.

Additional info:
Comment 1 Tim Waugh 2005-01-28 18:11:49 EST
This regression has been fixed, and an update issued.

Thank you very much indeed for bringing it to our attention!

Note You need to log in before you can comment on or make changes to this bug.